package com.jay.monitor.data.core.model.serializable.base;

/**
 * @Module 传输层
 * @Description 搜索组对象
 * @Author liukaixiong
 * @Date 2020/10/21 17:18
 */
public interface SearchIndexData {
    /**
     * 组名称
     *
     * @return
     */
    public String getGroupName();

    /**
     * 设置组名称
     *
     * @param groupName
     */
    public void setGroupName(String groupName);

    /**
     * 组的key名称
     *
     * @return
     */
    public String getGroupKeyName();

    /**
     * 设置组的key名称
     *
     * @param groupKeyName
     */
    public void setGroupKeyName(String groupKeyName);

    /**
     * 数据编号
     *
     * @return
     */
    public String getDataId();

    /**
     * 数据编号
     *
     * @param dataId
     */
    public void setDataId(String dataId);
}
